EventHandler Class Referenceabstract

`#include <eventhandler.h>`

## Public Member Functions

virtual | ~EventHandler ()
virtual void | handleEvent (const Event &event)=0

## Detailed Description

An base class for event handlers.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  1.0

Definition at line 28 of file eventhandler.h.

## Constructor & Destructor Documentation

## ~EventHandler()

virtual ~EventHandler | ( |  | ) |

inline virtual

Virtual Destructor.

Definition at line 35 of file eventhandler.h.

## Member Function Documentation

## handleEvent()

virtual void handleEvent | ( | const Event & | event | ) |

pure virtual

This function gets called for Events this handler was registered for.

Parameters

  event | The Event.

The documentation for this class was generated from the following file:

- eventhandler.h